## spirv-llvm-translator-14 14.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13.4)

if(NOT DEFINED BASE_LLVM_VERSION)
  set (BASE_LLVM_VERSION 14.0.0)
endif(NOT DEFINED BASE_LLVM_VERSION)
set(LLVM_SPIRV_VERSION ${BASE_LLVM_VERSION}.0)

include(FetchContent)
include(FindPkgConfig)

option(LLVM_SPIRV_INCLUDE_TESTS
  "Generate build targets for the llvm-spirv lit tests."
  ${LLVM_INCLUDE_TESTS})

if (NOT DEFINED LLVM_SPIRV_BUILD_EXTERNAL)
  # check if we build inside llvm or not
  if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
    set(LLVM_SPIRV_BUILD_EXTERNAL YES)
  endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
endif (NOT DEFINED LLVM_SPIRV_BUILD_EXTERNAL)

# Download spirv.hpp from the official SPIRV-Headers repository.
# One can skip this step by manually setting
# LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR path.
if(NOT DEFINED LLVM_TOOL_SPIRV_HEADERS_BUILD AND
   NOT DEFINED LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR)
  set(LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR
    "${CMAKE_CURRENT_BINARY_DIR}/SPIRV-Headers")
  message(STATUS "SPIR-V Headers location is not specified. Will try to download
          spirv.hpp from https://github.com/KhronosGroup/SPIRV-Headers into
          ${LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR}")
  file(READ spirv-headers-tag.conf SPIRV_HEADERS_TAG)
  # Strip the potential trailing newline from tag
  string(STRIP "${SPIRV_HEADERS_TAG}" SPIRV_HEADERS_TAG)
  FetchContent_Declare(spirv-headers
    GIT_REPOSITORY    https://github.com/KhronosGroup/SPIRV-Headers.git
    GIT_TAG           ${SPIRV_HEADERS_TAG}
    SOURCE_DIR ${LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR}
  )
  FetchContent_MakeAvailable(spirv-headers)
else()
  if(NOT DEFINED LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR)
    # This means LLVM_TOOL_SPIRV_HEADERS_BUILD is defined, therefore
    # SPIRV-Headers exist as a subproject.
    set(LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR
      "${CMAKE_SOURCE_DIR}/projects/SPIRV-Headers")
    if(NOT EXISTS ${LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR})
      message(FATAL_ERROR "No location specified for SPIRV-Headers.
              Try setting the LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR
              path or put the project into the llvm/projects folder
              under the name 'SPIRV-Headers'")
    endif()
  endif()
  message(STATUS "Using SPIR-V Headers from
          ${LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR}")
endif()

if(LLVM_SPIRV_BUILD_EXTERNAL)
  project(LLVM_SPIRV
    VERSION
      ${LLVM_SPIRV_VERSION}
    LANGUAGES
      CXX
      C
  )

  set(CMAKE_CXX_STANDARD 14)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)

  if(LLVM_SPIRV_INCLUDE_TESTS)
    set(LLVM_TEST_COMPONENTS
      llvm-as
      llvm-dis
    )
  endif(LLVM_SPIRV_INCLUDE_TESTS)

  find_package(LLVM ${BASE_LLVM_VERSION} REQUIRED
    COMPONENTS
      Analysis
      BitReader
      BitWriter
      CodeGen
      Core
      Support
      TransformUtils
      ${LLVM_TEST_COMPONENTS}
  )
  set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${LLVM_CMAKE_DIR}
  )
  include(AddLLVM)
  include(HandleLLVMOptions)

  message(STATUS "Found LLVM: ${LLVM_VERSION}")

  option(CCACHE_ALLOWED "allow use of ccache" TRUE)
  find_program(CCACHE_EXE_FOUND ccache)
  if(CCACHE_EXE_FOUND AND CCACHE_ALLOWED)
    message(STATUS "Found ccache: ${CCACHE_EXE_FOUND}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif()
endif()

set(LLVM_SPIRV_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include)

pkg_search_module(SPIRV_TOOLS SPIRV-Tools)
if(NOT SPIRV_TOOLS_FOUND)
  message(STATUS "SPIRV-Tools not found; project will be built without "
          "--spirv-tools-dis support.")
endif(NOT SPIRV_TOOLS_FOUND)

add_subdirectory(lib/SPIRV)
add_subdirectory(tools/llvm-spirv)
if(LLVM_SPIRV_INCLUDE_TESTS)
  add_subdirectory(test)
endif(LLVM_SPIRV_INCLUDE_TESTS)

install(
  FILES
    ${LLVM_SPIRV_INCLUDE_DIRS}/LLVMSPIRVLib.h
    ${LLVM_SPIRV_INCLUDE_DIRS}/LLVMSPIRVOpts.h
    ${LLVM_SPIRV_INCLUDE_DIRS}/LLVMSPIRVExtensions.inc
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/include/LLVMSPIRVLib
)

configure_file(LLVMSPIRVLib.pc.in ${CMAKE_BINARY_DIR}/LLVMSPIRVLib.pc @ONLY)
install(
  FILES
    ${CMAKE_BINARY_DIR}/LLVMSPIRVLib.pc
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/lib${LLVM_LIBDIR_SUFFIX}/pkgconfig
)

=== lib/SPIRV/CMakeLists.txt ===
add_llvm_library(LLVMSPIRVLib
  LLVMSPIRVOpts.cpp
  LLVMToSPIRVDbgTran.cpp
  Mangler/FunctionDescriptor.cpp
  Mangler/Mangler.cpp
  Mangler/ManglingUtils.cpp
  Mangler/ParameterType.cpp
  OCLToSPIRV.cpp
  OCLTypeToSPIRV.cpp
  OCLUtil.cpp
  VectorComputeUtil.cpp
  SPIRVLowerBitCastToNonStandardType.cpp
  SPIRVLowerBool.cpp
  SPIRVLowerConstExpr.cpp
  SPIRVLowerMemmove.cpp
  SPIRVLowerOCLBlocks.cpp
  SPIRVLowerSaddWithOverflow.cpp
  SPIRVLowerSPIRBlocks.cpp
  SPIRVReader.cpp
  SPIRVRegularizeLLVM.cpp
  SPIRVToLLVMDbgTran.cpp
  SPIRVToOCL.cpp
  SPIRVToOCL12.cpp
  SPIRVToOCL20.cpp
  SPIRVUtil.cpp
  SPIRVWriter.cpp
  SPIRVWriterPass.cpp
  PreprocessMetadata.cpp
  libSPIRV/SPIRVBasicBlock.cpp
  libSPIRV/SPIRVDebug.cpp
  libSPIRV/SPIRVDecorate.cpp
  libSPIRV/SPIRVEntry.cpp
  libSPIRV/SPIRVFunction.cpp
  libSPIRV/SPIRVInstruction.cpp
  libSPIRV/SPIRVModule.cpp
  libSPIRV/SPIRVStream.cpp
  libSPIRV/SPIRVType.cpp
  libSPIRV/SPIRVValue.cpp
  LINK_COMPONENTS
    Analysis
    BitWriter
    CodeGen
    Core
    Demangle
    IRReader
    Linker
    Support
    TransformUtils
  DEPENDS
    intrinsics_gen
)

target_include_directories(LLVMSPIRVLib
  PRIVATE
    ${LLVM_INCLUDE_DIRS}
    ${LLVM_SPIRV_INCLUDE_DIRS}
    # TODO: Consider using SPIRV-Headers' as a header-only INTERFACE
    # instead. Right now this runs into exporting issues with
    # the LLVM in-tree builds.
    ${LLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/libSPIRV
    ${CMAKE_CURRENT_SOURCE_DIR}/Mangler
)

=== tools/llvm-spirv/CMakeLists.txt ===
set(LLVM_LINK_COMPONENTS
  SPIRVLib
  Analysis
  BitReader
  BitWriter
  Core
  Support
  TransformUtils
)

add_llvm_tool(llvm-spirv
  llvm-spirv.cpp
  # llvm_setup_rpath messes with the rpath making llvm-spirv not executable from the build directory
  NO_INSTALL_RPATH
)

if (LLVM_SPIRV_BUILD_EXTERNAL OR LLVM_LINK_LLVM_DYLIB)
  target_link_libraries(llvm-spirv PRIVATE LLVMSPIRVLib)
endif()

target_include_directories(llvm-spirv
  PRIVATE
    ${LLVM_INCLUDE_DIRS}
    ${LLVM_SPIRV_INCLUDE_DIRS}
)

if(SPIRV_TOOLS_FOUND)
  target_compile_definitions(llvm-spirv PRIVATE LLVM_SPIRV_HAVE_SPIRV_TOOLS=1)
  target_include_directories(llvm-spirv PRIVATE ${SPIRV_TOOLS_INCLUDE_DIRS})
  target_link_libraries(llvm-spirv PRIVATE ${SPIRV_TOOLS_LDFLAGS})
endif(SPIRV_TOOLS_FOUND)

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.0-3~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to jammy. (LP: #1991761)
    - Drop support for symbols, needs newer pkg-kde-tools

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Oct 2022 20:14:03 +0300

spirv-llvm-translator-14 (14.0.0-3) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Oct 2022 13:48:53 +0200

spirv-llvm-translator-14 (14.0.0-2) unstable; urgency=medium

  * Restrict watch file to 14.* releases.
  * Build with spirv-tools.
  * Add autopkgtest, ignore failures on !amd64.
  * Enable build-time tests, ignore failures on !amd64.
  * Use pkg-kde-tools to manage the .symbols.
  * Add .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Sep 2022 18:00:36 +0200

spirv-llvm-translator-14 (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fork source package as spirv-llvm-translator-14.
  * Rename binary packages: *13* => *14*.
  * Build with llvm 14.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 May 2022 09:29:32 +0200

spirv-llvm-translator (13.0.0-6) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Sep 2022 16:36:05 +0200

spirv-llvm-translator (13.0.0-5) unstable; urgency=medium

  * Use pkg-kde-tools to manage the .symbols.
  * Add .symbols control file.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 22:34:44 +0200

spirv-llvm-translator (13.0.0-4) unstable; urgency=medium

  * Rename /usr/bin/llvm-spirv to /usr/bin/llvm-spirv-13.
  * Restrict watch file to 13.* releases.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.6.1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 May 2022 01:58:34 +0200

spirv-llvm-translator (13.0.0-3) unstable; urgency=medium

  * Rename OpConstFunctionPointerINTEL to OpConstantFunctionPointerINTEL to
    fix FTBFS with spirv-headers 1.5.5.  (Closes: #1005458)
  * rules: Parse llvm version from Build-Depends.
  * control: Provide virtual package libllvmspirvlib-13-dev.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * copyright: Update/remove outdated file patterns.
  * Fix typo.
  * Update Lintian overrides.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Feb 2022 23:28:24 +0100

spirv-llvm-translator (13.0.0-2) unstable; urgency=medium

  * control: Drop lldb-13 from build-depends, it's not used and prevents
    build on mips/mipsel.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 11:00:43 +0200

spirv-llvm-translator (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Oct 2021 10:41:14 +0300

spirv-llvm-translator (13.0~git20210929-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build with llvm 13.
  * Add spirv-headers to build-depends, set headers dir.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Sep 2021 14:40:45 +0300

spirv-llvm-translator-12 (12.0.0-6) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 21:34:40 +0200

spirv-llvm-translator-12 (12.0.0-5) unstable; urgency=medium

  * Use pkg-kde-tools to manage the .symbols.
  * Add .symbols control file.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 04:13:09 +0200

spirv-llvm-translator-12 (12.0.0-4) unstable; urgency=medium

  * Restrict watch file to 12.* releases.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.6.1.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 May 2022 23:58:08 +0200

spirv-llvm-translator-12 (12.0.0-3) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.
  * control: Drop lldb-12 from build-depends, it's not used and prevents
    build on mips/mipsel.

  [ Andreas Beckmann ]
  * rules: Parse llvm version from Build-Depends.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * copyright: Update/remove outdated file patterns.
  * Fix typo.
  * Update Lintian overrides.
  * Add myself to Uploaders.
  * Have one set of packages per llvm version:
    - Fork source package as spirv-llvm-translator-12.
    - Rename binary packages:
      + libllvmspirvlib-dev => libllvmspirvlib-12-dev,
      + llvm-spirv => llvm-spirv-12.
    - Rename /usr/bin/llvm-spirv to /usr/bin/llvm-spirv-12.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Feb 2022 20:05:39 +0100

spirv-llvm-translator (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:59:48 +0300

spirv-llvm-translator (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Jun 2021 12:24:54 +0300

spirv-llvm-translator (12.0~git20210212-2) experimental; urgency=medium

  * control: Fix libllvmspirvlib-dev depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 May 2021 12:17:08 +0300

spirv-llvm-translator (12.0~git20210212-1) experimental; urgency=medium

  * New upstream snapshot.
  * Build against llvm-12.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Apr 2021 20:24:01 +0300

spirv-llvm-translator-11 (11.0.0-4) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 03:48:48 +0200

spirv-llvm-translator-11 (11.0.0-3) unstable; urgency=medium

  * Use pkg-kde-tools to manage the .symbols.
  * Add .symbols control file.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Sep 2022 19:10:39 +0200

spirv-llvm-translator-11 (11.0.0-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump debhelper to 13.


=== debian/control ===
Source: spirv-llvm-translator-14
Section: libdevel
Priority: optional
Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Timo Aaltonen <tjaalton@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends: debhelper-compat (= 13),
# dh-sequence-pkgkde-symbolshelper,
 cmake,
 libclang-14-dev,
 llvm-14-dev,
 pkgconf,
 spirv-headers (>= 1.5.5),
 spirv-tools,
# keep the clang/llvm version in sync, don't forget debian/tests/control
 clang-14 <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git -b llvm14/main

Package: libllvmspirvlib14
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: bi-directional translator for LLVM/SPIRV -- shared library
 SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
 package includes a library and a tool for translation between LLVM IR
 and SPIR-V.
 .
 This package includes the shared library.

Package: libllvmspirvlib-14-dev
Architecture: any
Multi-Arch: same
Depends:
 libllvmspirvlib14 (= ${binary:Version}),
 ${misc:Depends}
Conflicts:
 libllvmspirvlib-x.y-dev,
Breaks:
 libllvmspirvlib-dev (<< 13.0.0-3~),
Replaces:
 libllvmspirvlib-dev (<< 13.0.0-3~),
 libllvmspirvlib-x.y-dev,
Provides:
 libllvmspirvlib-x.y-dev,
Description: bi-directional translator for LLVM/SPIRV -- development files
 SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
 package includes a library and a tool for translation between LLVM IR
 and SPIR-V.
 .
 This package includes static libs and headers for development.

Package: llvm-spirv-14
Architecture: any
Depends:
 libllvmspirvlib14 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: bi-directional translator for LLVM/SPIRV
 SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
 package includes a library and a tool for translation between LLVM IR
 and SPIR-V.
 .
 This package includes the llvm-spirv-14 binary.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all

include /usr/share/dpkg/pkg-info.mk

LLVM_VERSION	 = $(shell sed -n -r '/^Build/,/^$$/s/.*llvm-([0-9]+)-dev.*/\1/p' debian/control)

%:
	dh $@ --builddir build/

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_SKIP_RPATH=ON \
		-DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR=/usr/include \
		-DBUILD_SHARED_LIBS=ON \
		-DLLVM_SPIRV_INCLUDE_TESTS=ON \
		-DLLVM_EXTERNAL_LIT=/usr/lib/llvm-$(LLVM_VERSION)/build/utils/lit/lit.py \
		-Wno-dev

execute_after_dh_auto_install:
	mv debian/tmp/usr/bin/llvm-spirv debian/tmp/usr/bin/llvm-spirv-$(LLVM_VERSION)

ignore_test_failures	 = $(if $(filter $(DEB_HOST_ARCH),amd64),,-)
override_dh_auto_test:
	$(ignore_test_failures)env LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/build/lib/SPIRV dh_auto_test



ifneq (,$(wildcard .git))
upstream:
	git remote show $@ >/dev/null 2>&1 || git remote add $@ $(shell sed -rn 's/Repository: //p' debian/upstream/metadata)
	git fetch $@ --prune
endif

=== debian/tests/control ===
Tests: upstream-testsuite
Architecture: amd64
Depends:
 @,
 cmake,
 g++,
 pkgconf,
 spirv-headers,
 spirv-tools,
 clang-14,
 llvm-14-dev,
Restrictions:
 allow-stderr,

Test-Command: debian/tests/upstream-testsuite
Architecture: !amd64
Depends:
 @,
 cmake,
 g++,
 pkgconf,
 spirv-headers,
 spirv-tools,
 clang-14,
 llvm-14-dev,
Restrictions:
 allow-stderr,
 flaky,

## spirv-llvm-translator-14 14.0.1

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.1-2) unstable; urgency=medium

  * Update .symbols control file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jun 2024 15:41:43 +0200

spirv-llvm-translator-14 (14.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update .symbols control file.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jun 2024 11:31:37 +0200

spirv-llvm-translator-14 (14.0.0-12) unstable; urgency=medium

  * Update from llvm_release_140 branch (v14.0.0-179-gd54b2cea).
  * Disable the upstream-testsuite autopkgtest on s390x.  (Closes: #1065395)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Mar 2024 12:21:28 +0100

spirv-llvm-translator-14 (14.0.0-11) unstable; urgency=medium

  * Update from llvm_release_140 branch (v14.0.0-177-g0141f3dd).
  * Skip tests on big-endian architectures (> 60% are failing) due to
    excessive disk space usage (>40 GB). The failures are ignored on !amd64
    anyway.  (Closes: #1065395)
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Mar 2024 05:13:45 +0100

spirv-llvm-translator-14 (14.0.0-10) unstable; urgency=medium

  * Add build-needed autopkgtest for spirv-headers compat check.
  * Update from llvm_release_140 branch (v14.0.0-172-gc3dc6b81).
  * Bump spirv-headers dependency to 1.6.1+1.3.275.0.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Feb 2024 03:47:14 +0100

spirv-llvm-translator-14 (14.0.0-9) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Sep 2023 13:39:11 +0200

spirv-llvm-translator-14 (14.0.0-8) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mark some more symbols as optional as they don't appear on Ubuntu (LTO?).
    (Closes: #1042819)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Aug 2023 14:45:06 +0200

spirv-llvm-translator-14 (14.0.0-7) unstable; urgency=medium

  * Update .symbols control file for gcc-13 builds.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 31 Jul 2023 11:05:53 +0200

spirv-llvm-translator-14 (14.0.0-6) unstable; urgency=medium

  * Fix compatibility with newer spirv-as.  (Closes: #1040055)
  * Bump Standards-Version to 4.6.2.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Jul 2023 14:03:54 +0200

spirv-llvm-translator-14 (14.0.0-5) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Oct 2022 09:11:37 +0200

spirv-llvm-translator-14 (14.0.0-4) unstable; urgency=medium

  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
  * Drop hidden symbols from .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Oct 2022 17:41:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-# dh-sequence-pkgkde-symbolshelper,
+ dh-sequence-pkgkde-symbolshelper,
  cmake,
+ gcc (>= 4:13),
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,
- spirv-headers (>= 1.5.5),
+ spirv-headers (>= 1.6.1+1.3.275.0),
  spirv-tools,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
 Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git -b llvm14/main

## spirv-llvm-translator-14 14.0.4

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.4-2) unstable; urgency=medium

  * Update .symbols control file.
  * Update copyright file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Sep 2024 21:29:45 +0200

spirv-llvm-translator-14 (14.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Sep 2024 02:55:08 +0200

spirv-llvm-translator-14 (14.0.3-2) unstable; urgency=medium

  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 18:07:54 +0200

spirv-llvm-translator-14 (14.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file for gcc-14 builds.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2024 12:08:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-pkgkde-symbolshelper,
  cmake,
- gcc (>= 4:13),
+ gcc (>= 4:14),
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,

## spirv-llvm-translator-14 14.0.7

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Add substvar for the llvm major version.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2024 00:31:38 +0100

spirv-llvm-translator-14 (14.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Nov 2024 22:26:06 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libllvmspirvlib14 (= ${binary:Version}),
+ libllvmspirvlib${llvm:major} (= ${binary:Version}),
  ${misc:Depends}
 Conflicts:
  libllvmspirvlib-x.y-dev,
@@ -61,7 +61,7 @@
 Package: llvm-spirv-14
 Architecture: any
 Depends:
- libllvmspirvlib14 (= ${binary:Version}),
+ libllvmspirvlib${llvm:major} (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: bi-directional translator for LLVM/SPIRV
@@ -69,4 +69,4 @@
  package includes a library and a tool for translation between LLVM IR
  and SPIR-V.
  .
- This package includes the llvm-spirv-14 binary.
+ This package includes the llvm-spirv-${llvm:major} binary.

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,19 @@
 execute_after_dh_auto_install:
 	mv debian/tmp/usr/bin/llvm-spirv debian/tmp/usr/bin/llvm-spirv-$(LLVM_VERSION)
 
+# skip tests on big-endian architectures, uses excessive amount (> 40GB) of disk space
 ignore_test_failures	 = $(if $(filter $(DEB_HOST_ARCH),amd64),,-)
 override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
 	$(ignore_test_failures)env LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/build/lib/SPIRV dh_auto_test
+endif
 
+override_dh_gencontrol:
+	dh_gencontrol -- -V'llvm:major=$(LLVM_VERSION)'
+
+update-symbols:
+	pkgkde-getbuildlogs
+	echo "pkgkde-symbolshelper batchpatch -v $(DEB_VERSION_EPOCH_UPSTREAM) $(DEB_SOURCE)_$(DEB_DISTRIBUTION)_logs/$(DEB_SOURCE)_$(DEB_VERSION)_*build"
 
 
 ifneq (,$(wildcard .git))

## spirv-llvm-translator-14 14.0.8

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.8-1~ubuntu0.24.04.1) noble; urgency=medium

  * Backport to noble. (LP: #2111480)
    - relax gcc build-dep

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 28 Jul 2025 11:34:10 +0300

spirv-llvm-translator-14 (14.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Add substvar for the llvm soversion.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Jan 2025 18:18:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-pkgkde-symbolshelper,
  cmake,
- gcc (>= 4:14),
+ gcc (>= 4:13),
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libllvmspirvlib${llvm:major} (= ${binary:Version}),
+ libllvmspirvlib${llvm:soversion} (= ${binary:Version}),
  ${misc:Depends}
 Conflicts:
  libllvmspirvlib-x.y-dev,
@@ -61,7 +61,7 @@
 Package: llvm-spirv-14
 Architecture: any
 Depends:
- libllvmspirvlib${llvm:major} (= ${binary:Version}),
+ libllvmspirvlib${llvm:soversion} (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: bi-directional translator for LLVM/SPIRV

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  @,
  cmake,
  g++,
+ make,
  pkgconf,
  spirv-headers,
  spirv-tools,
@@ -13,11 +14,13 @@
  allow-stderr,
 
 Test-Command: debian/tests/upstream-testsuite
-Architecture: !amd64
+Features: test-name=upstream-testsuite-flaky
+Architecture: !amd64 !s390x
 Depends:
  @,
  cmake,
  g++,
+ make,
  pkgconf,
  spirv-headers,
  spirv-tools,
@@ -26,3 +29,12 @@
 Restrictions:
  allow-stderr,
  flaky,
+
+Test-Command: true
+Features: test-name=spirv-headers-compatibility
+Depends:
+ spirv-headers,
+Restrictions:
+ build-needed,
+ allow-stderr,
+ superficial,

## spirv-llvm-translator-14 14.0.11

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 07 Apr 2025 17:08:58 +0200

spirv-llvm-translator-14 (14.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump spirv-headers dependency to 1.6.1+1.4.309.0.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Mar 2025 09:16:37 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-pkgkde-symbolshelper,
  cmake,
- gcc (>= 4:13),
+ gcc (>= 4:14),
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,
- spirv-headers (>= 1.6.1+1.3.275.0),
+ spirv-headers (>= 1.6.1+1.4.309.0),
  spirv-tools,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
 Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git -b llvm14/main

## spirv-llvm-translator-14 14.0.14

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.14-1ubuntu1) questing; urgency=medium

  * Build with gcc-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Aug 2025 12:22:37 +0300

spirv-llvm-translator-14 (14.0.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 10:36:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-pkgkde-symbolshelper,
  cmake,
- gcc (>= 4:14),
+ gcc-14,
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,
- spirv-headers (>= 1.6.1+1.4.309.0),
+ spirv-headers (>= 1.6.1+1.4.313.0),
  spirv-tools,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
+export CXX=g++-14
 
 include /usr/share/dpkg/pkg-info.mk
 
 LLVM_VERSION	 = $(shell sed -n -r '/^Build/,/^$$/s/.*llvm-([0-9]+)-dev.*/\1/p' debian/control)
+LLVM_SOVERSION	 = $(LLVM_VERSION)
 
 %:
 	dh $@ --builddir build/
@@ -29,7 +31,9 @@
 endif
 
 override_dh_gencontrol:
-	dh_gencontrol -- -V'llvm:major=$(LLVM_VERSION)'
+	dh_gencontrol -- \
+		-V'llvm:major=$(LLVM_VERSION)' \
+		-V'llvm:soversion=$(LLVM_SOVERSION)' \
 
 update-symbols:
 	pkgkde-getbuildlogs

## spirv-llvm-translator-14 14.0.15

=== tools/llvm-spirv/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
   BitReader
   BitWriter
   Core
+  Passes
   Support
   TransformUtils
 )

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.15-2) unstable; urgency=medium

  * Build with g++-14.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 17:27:18 +0200

spirv-llvm-translator-14 (14.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 00:33:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-pkgkde-symbolshelper,
  cmake,
- gcc-14,
+ g++-14,
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,

## spirv-llvm-translator-14 14.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,11 @@
     set(LLVM_SPIRV_BUILD_EXTERNAL YES)
   endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
 endif (NOT DEFINED LLVM_SPIRV_BUILD_EXTERNAL)
+
+if(LLVM_SPIRV_BUILD_EXTERNAL)
+  # Make sure llvm-spirv gets built when building outside the llvm tree.
+  set(LLVM_BUILD_TOOLS ON)
+endif(LLVM_SPIRV_BUILD_EXTERNAL)
 
 # Download spirv.hpp from the official SPIRV-Headers repository.
 # One can skip this step by manually setting
@@ -81,6 +86,7 @@
       BitWriter
       CodeGen
       Core
+      Passes
       Support
       TransformUtils
       ${LLVM_TEST_COMPONENTS}

=== test/CMakeLists.txt ===
llvm_canonicalize_cmake_booleans(SPIRV_SKIP_CLANG_BUILD)
llvm_canonicalize_cmake_booleans(SPIRV_SKIP_DEBUG_INFO_TESTS)

# required by lit.site.cfg.py.in
get_target_property(LLVM_SPIRV_DIR llvm-spirv BINARY_DIR)
set(LLVM_SPIRV_TEST_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

if(SPIRV_TOOLS_FOUND)
  find_program(SPIRV_TOOLS_SPIRV_AS NAMES spirv-as PATHS ${SPIRV_TOOLS_PREFIX}/bin)
  if(SPIRV_TOOLS_SPIRV_AS)
    set(SPIRV_TOOLS_SPIRV_AS_FOUND True)
  endif()

  find_program(SPIRV_TOOLS_SPIRV_LINK NAMES spirv-link PATHS ${SPIRV_TOOLS_PREFIX}/bin)
  if(SPIRV_TOOLS_SPIRV_LINK)
    set(SPIRV_TOOLS_SPIRV_LINK_FOUND True)
  endif()

  find_program(SPIRV_TOOLS_SPIRV_VAL NAMES spirv-val PATHS ${SPIRV_TOOLS_PREFIX}/bin)
  if(SPIRV_TOOLS_SPIRV_VAL)
    set(SPIRV_TOOLS_SPIRV_VAL_FOUND True)
  endif()

  set(SPIRV_TOOLS_BINDIR "${SPIRV_TOOLS_PREFIX}/bin")
endif()

if(NOT SPIRV_TOOLS_SPIRV_AS)
  message(WARNING "spirv-as not found! SPIR-V assembly tests will not be run.")
  set(SPIRV_TOOLS_SPIRV_AS_FOUND False)
endif()

if(NOT SPIRV_TOOLS_SPIRV_LINK)
  message(WARNING "spirv-link not found! SPIR-V test involving the linker will not be run.")
  set(SPIRV_TOOLS_SPIRV_LINK_FOUND False)
endif()

if(NOT SPIRV_TOOLS_SPIRV_VAL)
  message(WARNING "spirv-val not found! SPIR-V generated for test suite will not be validated.")
  set(SPIRV_TOOLS_SPIRV_VAL_FOUND False)
endif()

configure_lit_site_cfg(
  ${CMAKE_CURRENT_SOURCE_DIR}/lit.site.cfg.py.in
  ${CMAKE_CURRENT_BINARY_DIR}/lit.site.cfg.py
  MAIN_CONFIG
    ${CMAKE_CURRENT_SOURCE_DIR}/lit.cfg.py
)

if(NOT LLVM_SPIRV_BUILD_EXTERNAL)
  set(LLVM_SPIRV_TEST_DEPS
    FileCheck
    count
    llvm-as
    llvm-config
    llvm-dis
    not
  )
  if(NOT SPIRV_SKIP_CLANG_BUILD)
    list(APPEND LLVM_SPIRV_TEST_DEPS
      clang
    )
  endif(NOT SPIRV_SKIP_CLANG_BUILD)
  if(NOT SPIRV_SKIP_DEBUG_INFO_TESTS)
    list(APPEND LLVM_SPIRV_TEST_DEPS
      llc
      llvm-dwarfdump
      llvm-objdump
      llvm-readelf
      llvm-readobj
    )
  endif(NOT SPIRV_SKIP_DEBUG_INFO_TESTS)
endif(NOT LLVM_SPIRV_BUILD_EXTERNAL)


add_lit_testsuite(check-llvm-spirv "Running the LLVM-SPIRV regression tests"
  ${CMAKE_CURRENT_BINARY_DIR}
  ARGS
    --verbose
  DEPENDS
    ${LLVM_SPIRV_TEST_DEPS}
    llvm-spirv
)

# to enable a custom test target on cmake below 3.11
# starting with 3.11 "test" is only reserved if ENABLE_TESTING(ON)
if(LLVM_SPIRV_BUILD_EXTERNAL)
  cmake_policy(PUSH)
  if(POLICY CMP0037 AND ${CMAKE_VERSION} VERSION_LESS "3.11.0")
    cmake_policy(SET CMP0037 OLD)
  endif(POLICY CMP0037 AND ${CMAKE_VERSION} VERSION_LESS "3.11.0")
  add_custom_target(test
    DEPENDS
      check-llvm-spirv
  )
  cmake_policy(POP)
endif(LLVM_SPIRV_BUILD_EXTERNAL)

=== lib/SPIRV/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,7 @@
   SPIRVLowerConstExpr.cpp
   SPIRVLowerMemmove.cpp
   SPIRVLowerOCLBlocks.cpp
-  SPIRVLowerSaddWithOverflow.cpp
-  SPIRVLowerSPIRBlocks.cpp
+  SPIRVLowerSaddIntrinsics.cpp
   SPIRVReader.cpp
   SPIRVRegularizeLLVM.cpp
   SPIRVToLLVMDbgTran.cpp
@@ -44,6 +43,7 @@
     Demangle
     IRReader
     Linker
+    Passes
     Support
     TransformUtils
   DEPENDS

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.16-1) unstable; urgency=medium

  * New upstream release.
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Oct 2025 21:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  spirv-tools,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%spirv-llvm-translator-$1.tar.gz%" \
   https://github.com/KhronosGroup/SPIRV-LLVM-Translator/tags \
   (?:.*?/)?v?(14\.[\d.]*)\.tar\.gz

## spirv-llvm-translator-14 14.0.17

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.17-1) unstable; urgency=medium

  * New upstream release.
  * Update B-D after the spirv-tools split.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Nov 2025 22:05:19 +0100

## spirv-llvm-translator-14 14.0.18

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.18-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Dec 2025 23:00:55 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  llvm-14-dev,
  pkgconf,
  spirv-headers (>= 1.6.1+1.4.313.0),
- spirv-tools,
+ spirv-tools <!nocheck>,
+ spirv-tools-dev,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
 Standards-Version: 4.7.2

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,18 @@
 LLVM_VERSION	 = $(shell sed -n -r '/^Build/,/^$$/s/.*llvm-([0-9]+)-dev.*/\1/p' debian/control)
 LLVM_SOVERSION	 = $(LLVM_VERSION)
 
+AUTOGEN		 = debian/libllvmspirvlib$(LLVM_SOVERSION).install
+AUTOGEN		+= debian/libllvmspirvlib$(LLVM_SOVERSION).symbols
+
 %:
 	dh $@ --builddir build/
 
-override_dh_auto_configure:
+libllvmspirvlib$(LLVM_SOVERSION).%: libllvmspirvlibSOVERSION.%
+	ln -s $(<F) $@
+
+autogen: $(AUTOGEN) ;
+
+override_dh_auto_configure: autogen
 	dh_auto_configure -- \
 		-DCMAKE_SKIP_RPATH=ON \
 		-DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR=/usr/include \
@@ -35,7 +43,11 @@
 		-V'llvm:major=$(LLVM_VERSION)' \
 		-V'llvm:soversion=$(LLVM_SOVERSION)' \
 
-update-symbols:
+execute_after_dh_clean:
+	$(RM) $(AUTOGEN)
+	$(RM) -r spirv-llvm-translator-??_*_logs
+
+update-symbols: debian/libllvmspirvlib$(LLVM_SOVERSION).symbols
 	pkgkde-getbuildlogs
 	echo "pkgkde-symbolshelper batchpatch -v $(DEB_VERSION_EPOCH_UPSTREAM) $(DEB_SOURCE)_$(DEB_DISTRIBUTION)_logs/$(DEB_SOURCE)_$(DEB_VERSION)_*build"

=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  pkgconf,
  spirv-headers,
  spirv-tools,
+ spirv-tools-dev,
  clang-14,
  llvm-14-dev,
 Restrictions:
@@ -24,6 +25,7 @@
  pkgconf,
  spirv-headers,
  spirv-tools,
+ spirv-tools-dev,
  clang-14,
  llvm-14-dev,
 Restrictions:

## spirv-llvm-translator-14 14.0.20

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump spirv-headers dependency to 1.6.1+1.4.335.0.
  * Bump Standards-Version to 4.7.3.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Feb 2026 22:09:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: spirv-llvm-translator-14
 Section: libdevel
-Priority: optional
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
@@ -12,12 +11,12 @@
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,
- spirv-headers (>= 1.6.1+1.4.313.0),
+ spirv-headers (>= 1.6.1+1.4.335.0),
  spirv-tools <!nocheck>,
  spirv-tools-dev,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
 Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git -b llvm14/main

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 execute_after_dh_clean:
 	$(RM) $(AUTOGEN)
 	$(RM) -r spirv-llvm-translator-??_*_logs
+	$(RM) -r SPIRV-LLVM-Translator-??.?.??
 
 update-symbols: debian/libllvmspirvlib$(LLVM_SOVERSION).symbols
 	pkgkde-getbuildlogs
